$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.44.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.44.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F372C505F20BB54D166C463540751F80A3F23DF164843445F61021B34A24FD46'
  checksumType = 'sha256'
  checksum64 = 'F372C505F20BB54D166C463540751F80A3F23DF164843445F61021B34A24FD46'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.44-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
